#!/bin/bash
#extract pdqxml from repository, merge them into one pdqxml file, 
#and then bind the pdqxml file.
./bindCapturedRep.sh $1 $2

#get ready to update the repository with the latest pdqxml.
#in order to make changes we need to deactivate the runtime group.
./deactivateRunGroupRep.sh $1

#upload the latest pdqxml files to the repository.
./uploadXmlRep.sh $1 $2

#set the properties to run statically. 
./uploadRunStaticPropsRep.sh $1 $2

#activate the runtime group for new settings to take effect.
./activateRunGroupRep.sh $1 $2

#Applications that use this repository runtimeGroup will pick up the latest
#pdq properties that tells them to run statically at the next refresh interval. 

