#!/bin/bash
#repository database (any db, could be the application database)
PQ_REP_URL="jdbc:db2://localhost:50000/dzerodb"
PQ_REP_USERNAME="db2admin"
PQ_REP_PASSWORD="apassword"
PQ_REP_SCHEMA="IBMPDQ"

#application's database (by default same as repository database)
PQ_DB_URL="$PQ_REP_URL"
PQ_DB_USERNAME="$PQ_REP_USERNAME"
PQ_DB_PASSWORD="$PQ_REP_PASSWORD"

#folder that contains pdq.jar and db2jcc.jar and license jars. 
#used to construct PQ_USER_CLASSPATH. 
PQ_JARS_FOLDER="../../jar"

PQ_USER_CLASSPATH="$PQ_JARS_FOLDER/pdq.jar:$PQ_JARS_FOLDER/pdqsqlparser.jar:$PQ_JARS_FOLDER/pdqmgmt.jar:$PQ_JARS_FOLDER/db2jcc.jar:$PQ_JARS_FOLDER/db2jcc_license_cisuz.jar"

#echo "Using classpath: $PQ_USER_CLASSPATH"
#echo "DB2 Driver version:"
#java -cp "$PQ_USER_CLASSPATH" com.ibm.db2.jcc.DB2Jcc -version

#working directory: files from the repository will be extracted here.
PQ_WORK_DIR="./work"


